Skip to main content
GET
Retrieves a list of pre-shared keys

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

include_deleted
boolean
default:false

Flag to retrieve deleted pre-shared keys as well.

Response

Retrieved pre-shared keys successfully.

view_id
string<uuid>
required

ID of the view associated with this pre-shared key.

id
string<uuid> | null

Unique ID of the pre-shared key.

description
string | null

Optional description for the pre-shared key.

created_at
string<date-time>

The pre-shared key creation timestamp.

valid_until
string<date-time> | null

Expiration timestamp of the pre-shared key. None means no expiry.

is_deleted
boolean
default:false

Marks this pre-shared key as deleted.

deleted_at
string<date-time> | null

The pre-shared key deletion timestamp.